For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate a direct employee
      • POSTCreate a person without a contract
      • GETGet my current personal profile
      • GETList of People
      • GETRetrieve a single person
      • PUTUpdate working location
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPeople

Create a person without a contract

POST
/pwac
POST
/rest/v2/pwac
$curl -X POST https://api.letsdeel.com/rest/v2/pwac \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "client": {
> "team": {
> "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
> },
> "legal_entity": {
> "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
> }
> },
> "person": {
> "email": "email@email.com",
> "last_name": "Doe",
> "first_name": "John",
> "start_date": "2020-01-01"
> }
> }
>}'
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "person": {
5 "email": "email@email.com",
6 "last_name": "Doe",
7 "first_name": "John",
8 "start_date": "2020-01-01"
9 }
10 }
11}
Adds a person record in Deel's HRIS without an associated employment contract. It creates a people-only record, allowing you to track individuals in your organization's directory before or without formalizing an employment or agreement. Suitable for pre-boarding, contingent workers, or other scenarios where a contract is not yet applicable. **Token scopes**: `people:write`
Was this page helpful?
Previous

Get my current personal profile

Next
Built with

Adds a person record in Deel’s HRIS without an associated employment contract. It creates a people-only record, allowing you to track individuals in your organization’s directory before or without formalizing an employment or agreement. Suitable for pre-boarding, contingent workers, or other scenarios where a contract is not yet applicable. Token scopes: people:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication